import { renderless, api } from '@opentinyvue/vue-renderless/virtual-scroll-box/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["change"],
  props: [].concat(props, ["width", "height", "rowBuffer", "columnBuffer", "scrollbarSize", "columns", "columnSizes", "rows", "rowSizes", "fixedRows", "fixedColumns", "spanConfig"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-virtual-scroll-box",
    style: _vm.state.ctx.boxStyle,
    on: {
      "scroll": _vm.onScroll
    }
  }, [_c("div", {
    staticClass: "tiny-virtual-scroll-box__x-axis",
    style: _vm.state.ctx.xAxisStyle
  }), _c("div", {
    staticClass: "tiny-virtual-scroll-box__y-axis",
    style: _vm.state.ctx.yAxisStyle
  }), _c("div", {
    staticClass: "tiny-virtual-scroll-box__view",
    style: _vm.state.ctx.viewStyle
  }, [_vm._t("default", null, {
    "params": _vm.state.slotParams
  })], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
